#include "pch.h"
#include "log.h"
#include "node_usermanual.h"
#include "layout.h"

Node* NodeUserManual::clone_instantiate() const
{
    return new NodeUserManual();
}

void NodeUserManual::init()
{
    SetPosition(0, 0);
    SetWidthP(100);
    SetHeightP(100);
    SetPositioning(YGPositionTypeAbsolute);
    add_child_file("data/dialogs/usermanual.xml", "usermanual");
    btn_ok = find<NodeButton>("btn-ok");
}

kEventResult NodeUserManual::handle_event(Event* e)
{
    return kEventResult::Consumed;
}
